package com.loafle.overflow.service.central.history;

import com.loafle.overflow.core.annotation.WebappAPI;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.core.model.PageParams;
import com.loafle.overflow.model.history.History;
import org.springframework.data.domain.Page;

public interface HistoryService {
  // ??
  History regist(History history) throws OverflowException;

  @WebappAPI
  Page<History> readAllByProbeIDAndMetaHistoryTypeID(Long probeID, Integer metaHistoryTypeID, PageParams pageParams) throws OverflowException;

  @WebappAPI
  Page<History> readAllByProbeID(Long probeID, PageParams pageParams) throws OverflowException;

  @WebappAPI
  Page<History> readAllByDomainID(Long domainID, PageParams pageParams) throws OverflowException;

  @WebappAPI
  Page<History> readAllByDomainIDAndMetaHistoryTypeID(Long domainID, Integer metaHistoryTypeID, PageParams pageParams) throws OverflowException;
}
